Bug 633262 - RFE: remove "rhgb quiet" from appended kernel params
RFE: remove "rhgb quiet" from appended kernel params
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 08:56 EDT by Jaroslav Kortus
Modified: 2012-09-13 10:56 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 19:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2010-09-13 08:56:33 EDT
Description of problem:
 rhgb quiet is appended to the kernel cmdline during installation. Having it there disables output to console, which might be cool on desktop, but on servers (an while running tests in general) is unwanted.

Version-Release number of selected component (if applicable):
current

How reproducible:
run test on RHEL5.5 and watch the console through conserver

Steps to Reproduce:
1. run test on RHEL5.5 and watch the console through conserver
2.
3.
  
Actual results:
the log is quiet, user is not happy

Expected results:
kernel logging is printed to the console, the whole world becomes a better place to live

Additional info:
Comment 1 Bill Peck 2011-03-23 17:20:16 EDT
It must be that anaconda is adding these.  If you know how to tell anaconda to not add these then I'd be happy to do it.
Comment 2 Dan Callaghan 2012-08-22 19:27:41 EDT
Until/unless Anaconda gives us a way to stop it from adding these options, there is nothing Beaker can do. You can file a bug against Anaconda, or add a %post scriptlet to fiddle with the grub config:

<ks_appends>
  <ks_append>
%post
sed -i -e 's/rhgb quiet//' /boot/grub/grub.conf
  </ks_append>
</ks_appends>

Note You need to log in before you can comment on or make changes to this bug.